summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorErik de Castro Lopo <erikd@mega-nerd.com>2013-04-02 17:53:12 +1100
committerErik de Castro Lopo <erikd@mega-nerd.com>2013-04-02 17:53:12 +1100
commit56c2135cf9e83ede15ee00939e2534dfade63428 (patch)
treedb21a39fa112631dc5eeaf0b0f1589f726996785 /autogen.sh
parentae5cc0c04669880af0b4f28b0945b9bc66274f4a (diff)
downloadflac-56c2135cf9e83ede15ee00939e2534dfade63428.tar.gz
autogen.sh : Test for required programs.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh20
1 files changed, 19 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index b3fe48ea..b573ee0f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,7 +1,25 @@
-#!/bin/sh
+#!/bin/bash
# Run this to set up the build system: configure, makefiles, etc.
# We trust that the user has a recent enough autoconf & automake setup
# (not older than a few years...)
+
+test_program_errors=0
+
+function test_program {
+ if ! command -v $1 >/dev/null 2>&1 ; then
+ echo "Missing program '$1'."
+ test_program_errors=1
+ fi
+}
+
+for prog in autoconf automake libtool pkg-config gettext ; do
+ test_program $prog
+ done
+
+test $test_program_errors -ne 1 || exit 1
+
+#-------------------------------------------------------------------------------
+
set -e
if test $(uname -s) = "OpenBSD" ; then